#ifndef __SAMSUNG_SYSLSI_APDEV_S3C_LCD_H__
#define __SAMSUNG_SYSLSI_APDEV_S3C_LCD_H__

#include <asm/types.h>


typedef struct {
	int Bpp;
	int LeftTop_x;
	int LeftTop_y;
	int Width;
	int Height;
} s3c_win_info_t;

typedef struct {
	int width;
	int height;
	int bpp;
	int offset;
	int v_width;
	int v_height;
}vs_info_t;

struct s3c_fb_dma_info{
	unsigned int map_dma_f1;
	unsigned int map_dma_f2;
};


typedef struct {
    int direction;
    unsigned int compkey_red;
    unsigned int compkey_green;
    unsigned int compkey_blue;
} s3c_color_key_info_t;

typedef struct {
    unsigned int colval_red;
    unsigned int colval_green;
    unsigned int colval_blue;
} s3c_color_val_info_t;


#define S3C_FB_COLOR_KEY_DIR_BG     0
#define S3C_FB_COLOR_KEY_DIR_FG     1

#define FBIO_WAITFORVSYNC _IOW('F', 0x20, u_int32_t)

#define SET_VS_START 		_IO('F', 103) 
#define SET_VS_STOP 		_IO('F', 104) 
#define SET_VS_INFO 		_IOW('F', 105, vs_info_t) 
#define SET_VS_MOVE 		_IOW('F', 106, u_int) 

#define SET_OSD_INFO	_IOW('F', 209, s3c_win_info_t)
#define SET_OSD_START	_IO('F', 201)
#define SET_OSD_STOP   _IO('F', 202)
#define SET_OSD_ALPHA_UP                _IO('F', 203)
#define SET_OSD_ALPHA_DOWN              _IO('F', 204)

#define GET_FB_INFO			_IOR('F', 307, struct s3c_fb_info)
#define SET_FB_CHANGE_REQ		_IOW('F', 308, int)		
#define SET_VSYNC_INT			_IOW('F', 309, int)

/*hui.luo@mid-fun.com 090826 add for color-key alpha mode*/
#define S3C_FB_COLOR_KEY_START      _IO  ('F', 300)
#define S3C_FB_COLOR_KEY_STOP       _IO  ('F', 301)
#define S3C_FB_COLOR_KEY_ALPHA_START    _IO  ('F', 302)
#define S3C_FB_COLOR_KEY_ALPHA_STOP _IO  ('F', 303)
#define S3C_FB_COLOR_KEY_SET_INFO   _IOW ('F', 304, s3c_color_key_info_t)
#define S3C_FB_COLOR_KEY_VALUE      _IOW ('F', 305, s3c_color_val_info_t)


#define FB_DEV_NAME		"/dev/fb0"
#define FB_DEV_NAME1	"/dev/fb1"
#define FB_DEV_NAME2	"/dev/fb2"
#define FB_DEV_NAME3	"/dev/fb3"

#define FB_WIDTH 	320
#define FB_HEIGHT 	240
#define FB_VIRTUAL_WIDTH	320
#define FB_VIRTUAL_HEIGHT	480

#define BytesPerPixel			2
#define BitsPerPixel			16

#endif //__SAMSUNG_SYSLSI_APDEV_S3C_LCD_H__
